package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Advtest1Repository;
import com.realnet.basicp1.Entity.Advtest1
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






















	import org.springframework.stereotype.Service;

@Service
 public class Advtest1Service {
@Autowired
private Advtest1Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





















public Advtest1 Savedata(Advtest1 data) {






















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Advtest1 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Advtest1> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Advtest1> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Advtest1> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Advtest1 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Advtest1 update(Advtest1 data,Integer id) {
	Advtest1 old = Repository.findById(id).get();
old.setName(data.getName());

old.setCountry(data.getCountry());

old.setGender(data.getGender());

  
 
old.setVillae(data.isVillae());
   

 
old.setHome(data.isHome());
   


  

 

 

 

 

old.setCurrency(data.getCurrency());

old.setQrcode_field(data.getQrcode_field());

old.setBarcode_field(data.getBarcode_field());

final Advtest1 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
